{% extends "clientpages/base.html" %}
{% load thumbnail collections generic_markup util %}

{% block extrahead %}
{{block.super}}

<link rel="stylesheet" href="{{MEDIA_URL}}css/fancybox/fancybox.css" type="text/css" media="screen" charset="utf-8">
<script type="text/javascript" src="{{MEDIA_URL}}flowplayer/flowplayer-3.1.2.min.js"></script>
<script src="{{MEDIA_URL}}js/jquery/jquery.fancybox-1.3.4.js" type="text/javascript" charset="utf-8"></script>

<script type="text/javascript">
$(function() {
    $('.collection-index a').fancybox({
        transitionIn: 'elastic',
        centerOnScroll: true,
        onComplete: function(el) {
            var vimeo = $(el).data('vimeo');
            var video_id = $(el).attr('href').replace('_display', '');
            var video_link = $(video_id);
            if (vimeo) {
                var href = 'https://player.vimeo.com/video/'+ vimeo.video_id + '?title=0&byline=0&portrait=0';
                var width = video_link.is('.hd') ? 855 : 640;
                var iframe = $('<iframe class="vimeo" frameborder="0" webkitAllowFullScreen mozallowfullscreen allowFullScreen></iframe>')
                    .attr('src', href)
                    .attr('width', width)
                    .attr('height', 480);
                video_link.parent().prepend(
                    iframe
                ).end().hide();
                $('#fancybox-content').addClass('hd');
            } else {
                var player = flowplayer(video_link.attr('id'),
                           "{{MEDIA_URL}}flowplayer/flowplayer-3.1.2.swf", { });
                video_link.data('flowplayer', player);
            }
        },
        onCleanup: function(el) {
            // stop the flowplayer
            var video_id = $(el).attr('href').replace('_display', '');
            var video_link = $(video_id);
            player = video_link.data('flowplayer');
            if (player) {
                player.stop();
            }
        },
        onClosed: function(el) {
            // remove vimeo iframe
            var vimeo = $(el).data('vimeo');
            if (vimeo) {
                var video_id = $(el).attr('href').replace('_display', '');
                var video_link = $(video_id);
                $('iframe.vimeo').remove();
                video_link.show();
            }
            $('#fancybox-content').removeClass('hd');
        }
    });
});
</script>
{% endblock %}

{% block content %}
<div class="collection-index collection clientpage-index">
    <div class="wrap">
    {% spaceless %}
    {% for video in page.videos.published %}
    <a href="#video_display_{{video.pk}}" class="thumb"
        {% if video.has_vimeo_video %} data-vimeo='{{video.data|as_json}}'{% endif %}>
        <img src="{% thumbnail video.image 260x175 crop,upscale,detail %}" alt="" />
        <span class="title">{{video.title}}</span>
    </a>
    <div style="display:none"><div id="video_display_{{video.pk}}">
        <a {% if video.mp4 %}href="{{video.mp4.url}}"{% endif %} id="video_{{video.pk}}" 
            class="video-player {{video.quality}}"
            style="display:block; margin-bottom: 10px"></a>
        <div class="video-caption">
            {{video.caption|apply_markup}}
        </div>
    </div></div>
    {% endfor %}
    {% endspaceless %}
    </div>
</div>
{% endblock %}
